OAuth2 Token Endpoint
POST /oauth2/token
POST
/oauth2/token
Exchange an authorization code for tokens, or refresh an existing token. Supports grant_type authorization_code and refresh_token.
Request Body required
Section titled “Request Body required ”Token request parameters (RFC 6749 Section 4.1.3).
object
grant_type
required
string
code
string
redirect_uri
string
client_id
string
client_secret
string
code_verifier
string
refresh_token
string
resource
string
Responses
Section titled “ Responses ”Token response
object
access_token
required
string
token_type
required
string
expires_in
required
integer
refresh_token
string
id_token
string
scope
string
Headers
Section titled “Headers ” Cache-Control
required
string
Pragma
required
string
default
Section titled “default ”OAuth2 error response
object
error
required
OAuth2 error code
string
error_description
Human-readable error description
string